/****** Object:  StoredProcedure [dbo].[spVorblattDruck]    Script Date: 17.09.2019 18:23:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spVorblattDruck] 
    @EngagementID nvarchar(17) 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     PF.EngagementID, KN.GKV, PF.PFAblage, PF.PFFazit, tabKreditarten.Kreditart AS Kreditarttext, PF.HauptKNEName + ' (Fallnr. ' + CAST(PF.LfdNR AS nvarchar(5)) 
                      + ')' AS Pruefungsfall, PF.EDate, PF.BDate, PF.RNR, PF.LfdNR, PF.PruefungsID, PF.PStatus, PF.LPUeberwachung, PF.Vorstand, PF.Vormerkungsfall, PF.LetzterImport, 
                      PF.Pruefungsende, PF.PTID, PF.PName, PF.PVorname, PF.Branche, PF.Organkredit, PF.Beraternummer, PF.Beratername, PF.HauptKNEID, PF.HauptKNEName, 
                      PF.ewb_Veraenderung, PF.ewb_VeraenderungV, PF.ewb_e, PF.ewb_eV, PF.ewb_e_btrg_janf, PF.ewb_e_btrg_janfV, PF.ewb_e_btrg_neu, PF.ewb_e_btrg_neuV, 
                      PF.ewb_e_btrg_zugang, PF.ewb_e_btrg_zugangV, PF.ewb_e_afls_btrg, PF.ewb_e_afls_btrgV, PF.ewb_e_absg_ind_btrg, PF.ewb_e_absg_ind_btrgV, 
                      PF.ewb_e_absg_dir_btrg, PF.ewb_e_absg_dir_btrgV, PF.ewb_v, PF.ewb_vV, PF.ewb_v_btrg_janf, PF.ewb_v_btrg_janfV, PF.ewb_v_btrg_neu, PF.ewb_v_btrg_neuV, 
                      PF.ewb_v_btrg_zugang, PF.ewb_v_btrg_zugangV, PF.ewb_v_afls_btrg, PF.ewb_v_afls_btrgV, PF.ewb_v_absg_ind_btrg, PF.ewb_v_absg_ind_btrgV, 
                      PF.ewb_v_absg_dir_btrg, PF.ewb_v_absg_dir_btrgV, PF.blankokreditvolumen_in, PF.blankokreditvolumen_inV, PF.blankokreditvolumen_wi, 
                      PF.blankokreditvolumen_wiV, PF.Personalkreditvolumen_in, PF.Personalkreditvolumen_wi, PF.Realkreditvolumen_in, PF.Realkreditvolumen_wi, 
                      PF.Kompensationskreditvolumen_in, PF.Kompensationskreditvolumen_wi, PF.Kommunalkreditvolumen_in, PF.Kommunalkreditvolumen_wi, PF.PFLimit, PF.PFInAn, 
                      PF.SuSiLimit, PF.SuSiInAn, PF.KorrekturMFELimit, PF.KorrekturMFEInAn, PF.KorrekturMFESicherheitenLimit, PF.KorrekturMFESicherheitenInAn, 
                      PF.Zinsausfallkorrektur, PF.Limit19, PF.InanspruchnahmeKNE, PF.KorrekturMFEInAnKNE, PF.Risikogruppe, PF.RisikogruppeSPK_ok, PF.Kreditart, PF.Kreditnehmertyp, 
                      PF.Darstellung, PF.Grundpfandrechte_wi, PF.Grundpfandrechte_in, PF.Sicherungsuebereignungen_wi, PF.Sicherungsuebereignungen_in, PF.Zessionen_in, 
                      PF.Sonstiges_wi, PF.Sonstiges_in, tabBeachtungAA.BeachtungAA, PF.LONachfristerforderlich, PF.LONachfristbis, PF.LOSPKAlles, PF.LOBewertung, 
                      PF.LOBemerkungFehlendeUnterlagen, PF.LOBerichtstext, PF.EOgeprueft, PF.EOBeschluss, PF.EOBeschlussGrund, PF.EOBewertung, PF.EOBeurteilung, 
                      PF.EOBemerkungen, PF.EOBerichtstext, PF.Kurzbeurteilung, KN.PKNID, KN.KNID, KN.KNName, KN.BDate AS KNBDate, KN.EDate AS KNEDATE, KN.RGrund, 
                      KN.GBR_Quote, KN.Berichtsdarstellung, KN.KKWechsel, KN.KKWechselV, KN.Darlehen, KN.DarlehenV, KN.Ueberschreitungen, KN.HKKonten, KN.HKKontenV, 
                      KN.Wertpapiere, KN.Avale, KN.Andere, KN.GKV AS KN_GKV, KN.InAn, KN.InnerhalbSatzung, KN.ISInAn, KN.DInAn, KN.EUInAn, KN.NichtEUInAn, 
                      KN.AnknuepfungsgrundsatzGKV, KN.AnknuepfungsgrundsatzInAn, KN.SPKVOGKV, KN.SPKVOInAn, dbo.getAnzahlKN(@EngagementID) AS AnzahlKN, 
                      PF.ewb_Drohverlustrueckstellungen, PF.ewb_Rueckstellungen, PF.Grundpfandrechte_wohn_wi, PF.Grundpfandrechte_wohn_in, PF.Grundpfandrechte_gew_wi, 
                      PF.Grundpfandrechte_gew_in, PF.Grundpfandrechte_real_in, PF.Grundpfandrechte_real_wi, PF.Guthaben_wi, PF.Guthaben_in, PF.Wertpapiere_wi, PF.Wertpapiere_in, 
                      PF.Zessionen_wi, PF.Lebensversicherungen_in, PF.Lebensversicherungen_wi, PF.Buergschaften_oeffentl_in, PF.Buergschaften_oeffentl_wi, 
                      PF.Buergschaften_sonst_in, PF.Buergschaften_sonst_wi, PF.SPKRecht_nicht_Blanko_wi, PF.DarunterKoerperschaft_in, 
                      PF.Wirtschaftlich_bewertbare_Sicherheiten_wi, PF.LOArbeitsanweisung, PF.DarunterKoerperschaft_wi, PF.Wirtschaftlich_bewertbare_Sicherheiten_in, 
                      PF.SPKRecht_nicht_Blanko_in, PF.KusyArt, PF.Grundpfandrechte_wi_MFE, PF.Grundpfandrechte_in_MFE, PF.Grundpfandrechte_wohn_wi_MFE, 
                      PF.Grundpfandrechte_gew_wi_MFE, PF.Grundpfandrechte_wohn_in_MFE, PF.Grundpfandrechte_gew_in_MFE, PF.Grundpfandrechte_real_wi_MFE, 
                      PF.Grundpfandrechte_real_in_MFE, PF.Guthaben_wi_MFE, PF.Guthaben_in_MFE, PF.Wertpapiere_wi_MFE, PF.Wertpapiere_in_MFE, 
                      PF.Sicherungsuebereignungen_wi_MFE, PF.Sicherungsuebereignungen_in_MFE, PF.Lebensversicherungen_wi_MFE, PF.Lebensversicherungen_in_MFE, 
                      PF.Zessionen_wi_MFE, PF.Zessionen_in_MFE, PF.Erstellungsgrund, PF.KNENummer, PF.SuSiLimitMFEBerechnet, PF.SuSiInAnBerechnet, PF.SuSiInAnMFEBerechnet,
                       PF.SuSiLimitBerechnet, PF.Wirtschaftlich_Blanko_wi_MFE, PF.Wirtschaftlich_Blanko_in_MFE, PF.Wirtschaftlich_Blanko_wi, PF.Wirtschaftlich_Blanko_in, 
                      PF.SPKRechtl_Blanko_wi_MFE, PF.SPKRechtl_Blanko_in, PF.SPKRechtl_Blanko_in_MFE, PF.SPKRechtl_Blanko_wi, PF.SPKRechtlich_bewertbar_wi_MFE, 
                      PF.SPKRechtlich_bewertbar_in_MFE, PF.SPKRechtlich_bewertbar_wi, PF.SPKRechtlich_bewertbar_in, PF.Wirtschaftlich_bewertbare_Sicherheiten_wi_MFE, 
                      PF.Wirtschaftlich_bewertbare_Sicherheiten_in_MFE, PF.DarunterKoerperschaft_wi_MFE, PF.DarunterKoerperschaft_in_MFE, PF.SPKRecht_nicht_Blanko_wi_MFE, 
                      PF.SPKRecht_nicht_Blanko_in_MFE, PF.Sonstiges_in_MFE, PF.Sonstiges_wi_MFE, PF.Buergschaften_sonst_wi_MFE, PF.Buergschaften_sonst_in_MFE, 
                      PF.Buergschaften_oeffentl_wi_MFE, PF.Buergschaften_oeffentl_in_MFE, KN.KKWechsel_wi, KN.MehrfachErfasst, KN.Darlehen_wi, KN.Ueberziehungen, 
                      KN.Darlehensrueckstaende, KN.HKKonten_wi, KN.Wertpapiere_wi AS KN_Wertpapiere_wi, KN.Beteiligungen, KN.Beteiligungen_wi, KN.Avale_wi, KN.Andere_wi, 
                      KN.DGKV, KN.ISGKV, KN.EUGKV, KN.NichtEUGKV, PF.HauptKNEOrt, stabBetreuungsstatus.Betreuungsstatus, stabKusy.KusyText, PF.Obligo_3112, PF.Ratingnote, 
                      _tabGruppeAA.GruppeAA, PF.Gewichtete_Bonitaet
FROM         _tabGruppeAA RIGHT OUTER JOIN
                      tabBeachtungAA ON _tabGruppeAA.GAAID = tabBeachtungAA.GruppeAA RIGHT OUTER JOIN
                      stabKusy RIGHT OUTER JOIN
                      tabPruefungsfall AS PF ON stabKusy.KusyID = PF.KusyArt LEFT OUTER JOIN
                      stabBetreuungsstatus ON PF.Betreuungsstatus = stabBetreuungsstatus.BSTID LEFT OUTER JOIN
                      tabKreditarten ON PF.Kreditart = tabKreditarten.KID LEFT OUTER JOIN
                      tabPruefungKN AS KN ON PF.EngagementID = KN.EngagementID ON tabBeachtungAA.AAID = PF.LOArbeitsanweisung
WHERE     (PF.EngagementID = @EngagementID)
end
GO


/****** Object:  StoredProcedure [dbo].[spEinzeldarstellungKopf]    Script Date: 17.09.2019 18:39:21 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- alter============================================
ALTER PROCEDURE [dbo].[spEinzeldarstellungKopf] 
	@EngagementID nvarchar(17), 
    @NameoderNummer nvarchar(10) 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     CASE WHEN @NameoderNummer = 'Name' THEN PF.HauptKNEName ELSE PF.KNENummer END AS KNEBezeichnung, PF.HauptKNEOrt, PF.Branche, PF.SuSiLimit, 
                      PF.SuSiInAn, PF.Kurzbeurteilung, PF.PFLimit, PF.PFInAn, PF.ewb_v, PF.PFFazit, PF.ewb_v_btrg_neu, PF.ewb_v_btrg_zugang, PF.ewb_v_afls_btrg, 
                      PF.ewb_v_absg_ind_btrg, PF.BDate, PF.KNENummer, _tabRisikountergruppe.RisikoUG, _tabRisikountergruppe.RisikoUGText,
					  PF.Gewichtete_Bonitaet
FROM         tabPruefungsfall AS PF LEFT OUTER JOIN
                      tabRisikogruppe LEFT OUTER JOIN
                      _tabRisikountergruppe ON tabRisikogruppe.RisikoUG = _tabRisikountergruppe.RisikoUG ON PF.Risikogruppe = tabRisikogruppe.RID
WHERE     (PF.EngagementID = @EngagementID)
END
GO


Update _tabVersion set DBVersion = '5.82', DBDate = '17.09.2019'
GO