/****** Object:  StoredProcedure [dbo].[spDokumenteReadZipFile]    Script Date: 06.12.2019 14:00:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spDokumenteReadZipFile]
@DoknameOriginal nvarchar(255),
@PruefungsID nvarchar(12)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
SELECT       top 1 Zipfile, DatumLetzteAenderung, DokumentVersion, MutterDokument, Art 
FROM            tabDokumente
WHERE        (DokNameOriginal = @DoknameOriginal) and PruefungsID = @PruefungsID 
Order by Uploadam asc

END
GO

/****** Object:  StoredProcedure [dbo].[spDokumentAlsNeueVersionEinfuegen]    Script Date: 13.12.2019 13:47:52 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spDokumentAlsNeueVersionEinfuegen]
@AlteDocID nvarchar(27),
@NeueDocID nvarchar(27),
@DokNameOriginalNeu nvarchar(255),
@DokNameInternNeu nvarchar(255),
@EUser int,
@ZipFileNeu nvarchar(250),
@DatumLetzteAenderungNeu datetime,
@DokumentVersionNeu int,
@MutterDokument nvarchar(255),
@UploadDurch int

AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
INSERT INTO tabDokumente
             (DocID, Art, ZugehoerigerKey, Bereich, Register, Sortierung, Besonderheit, DokNameOriginal, DokNameIntern, 
			 EUser, EDatum, Element, ZipFile, DokumentVersion, EngagementID, MutterDokument, DatumLetzteAenderung, UploadDurch, UploadAm, PruefungsID)
SELECT        @NeueDocID AS NeueDocID, Art, ZugehoerigerKey, Bereich, Register, Sortierung, Besonderheit, @DokNameOriginalNeu AS DokNameOriginalNeu, @DokNameInternNeu AS DokNameInternNeu, 
              @EUser as EUser, getdate(), Element, @ZipFileNeu AS ZipFileNeu, @DokumentVersionNeu AS DokumentVersionNeu, EngagementID, @MutterDokument as MutterDokument, 
			  @DatumLetzteAenderungNeu AS DatumLetzteAenderungNeu, @UploadDurch, getdate(), PruefungsID
FROM            tabDokumente AS D
WHERE        (DocID = @AlteDocID)

END
GO








Update _tabVersion set DBVersion = '6.02', DBDate = '06.12.2019'
GO